Skip to main content
GET
/
v1
/
fleet
/
pv
/
production
/
typical-production
Get Fleet Pv Typical Production
curl --request GET \
  --url https://api.nox.energy/v1/fleet/pv/production/typical-production \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "forecast_time": "2025-05-01T07:45:00.000Z",
      "production": 42.75
    },
    {
      "forecast_time": "2025-05-01T08:00:00.000Z",
      "production": 48.1
    }
  ],
  "meta": {
    "energy_supplier": "Energy Supplier A",
    "generation_time": "2025-06-01T07:30:00Z",
    "production_unit": "kWh",
    "granularity": "15min",
    "output_timezone": "UTC"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

generation_time
string
required

The datetime at which the forecast was generated. Only the forecast produced at this exact generation_time is returned. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00
start_time
string
required

Start of the time window (inclusive) of the forecasted 15min production buckets to return. Filters on the time_bucket of the forecast. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00
end_time
string
required

End of the time window (inclusive) of the forecasted 15min production buckets to return. Filters on the time_bucket of the forecast. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00

Response

Successful response

data
PVFleetTypicalProductionData · object[] | null

List of fleet level typical production buckets.

meta
PVFleetTypicalProductionMeta · object | null

Response metadata